FarmTankPlacable_Register = {};

function FarmTankPlacable_Register:loadMap(name)
	if self.FarmTankPlacable_register_firstRun == nil then
		self.FarmTankPlacable_register_firstRun = false;
		print("--- loading Gasstation_Placable --- (by Harrybo)")
		
		
	end;
end;

function FarmTankPlacable_Register:deleteMap()
  
end;

function FarmTankPlacable_Register:keyEvent(unicode, sym, modifier, isDown)

end;

function FarmTankPlacable_Register:mouseEvent(posX, posY, isDown, isUp, button)

end;

function FarmTankPlacable_Register:update(dt)
	
end;

function FarmTankPlacable_Register:draw()
  
end;

addModEventListener(FarmTankPlacable_Register);